# include "NSelect.h"

void PrintAtomFlags(atom_record * a)
{
  int f = a->flags ;
  int b ;
  char * s;
  write_pdb_record(stdout,a,IO_SHORT);

  b = 1;
  s =  "IGNORE_ATOM"   ;        
  if (f & b) {
    printf("[%s-%2d] ",s,b);
  } else {
    printf(" %s-%2d  ",s,b);
  }    

  b = 2;
  s =  "DONT_CALCULATE_ATOM"   ;
  if (f & b) {
    printf("[%s-%2d] ",s,b);
  } else {
    printf(" %s-%2d  ",s,b);
  }    
  b = 4;
  s =  "MODIFIED_ATOM"         ;
  if (f & b) {
    printf("[%s-%2d] ",s,b);
  } else {
    printf(" %s-%2d  ",s,b);
  }    
  b = 8;
  s =  "SULPHUR_BRIDGE"        ;
  if (f & b) {
    printf("[%s-%2d] ",s,b);
  } else {
    printf(" %s-%2d  ",s,b);
  }    
  b = 16;
  s =  "MAIN_CHAIN_ATOM"       ;
  if (f & b) {
    printf("[%s-%2d] ",s,b);
  } else {
    printf(" %s-%2d  ",s,b);
  }    
  b = 32;
  s =  "REJECTED_ATOM"         ;
  if (f & b) {
    printf("[%s-%2d] ",s,b);
  } else {
    printf(" %s-%2d  ",s,b);
  }    
  b = 64 ;
  s =  "BURIED_WATER"          ;
  printf("\n");
}

void FlagOnForWaters(file_records * f,int flag) 
{
  int ii;
  for (ii=0; ii<f->atomnum;ii++) {
    atom_record * a = f->atoms[ii];
    if (WATER_ATOM_P(a) || STREQ(a->name,"W10")) {
      SWITCH_ON(a,flag);
    }
  }
}

void FlagOnForHydrogens(file_records * f,int flag) 
{
  int ii;
  for (ii=0; ii<f->atomnum;ii++) {
    atom_record * a = f->atoms[ii];
    if (a->name[0] == 'H' || a->name[0] == 'D' ||
	((a->name[0] == '1' || a->name[0] == '2' || a->name[3] == '3') &&
	 (a->name[1] == 'H' || a->name[1] == 'D'))) {
      SWITCH_ON(a,flag);
    }
  }
}

