file_records * read_pdb_file(FILE *, int);
file_records *open_and_read_pdb (char * name,int format);
file_records * write_pdb_file (FILE *, file_records *, int) ;
void write_pdb_record (FILE *ff, atom_record * atom,int format);
file_records * open_and_write_pdb (char *name, file_records * file,int format);
grid_descriptor * gridify (file_records *,double edge,double margin) ;
atom_record * nth_atom(file_records *, int  index) ;
atom_record *atom_by_number (file_records *file,int  number);
residue_record * residue_by_number (file_records *file, int index,int cc,int x_char);
double atoms_distance (atom_record *atoma, atom_record *atomb) ;
residue_description *find_residue_type (char *string) ;
atom_definition * find_atom_definition(residue_description *residue, char *name) ;
atom_definition * find_atom_definition_1(residue_description *residue, char *name) ;
atom_record *find_atom_in_residue (residue_record *res, char *name);

file_records *read_all_files (int format);
file_records *read_next_file(int format );
file_records *read_next_file_checked(int format );
file_records *read_next_file_and_check(int format );
file_records * merge_file_records(file_records * filea, file_records *fileb);
file_records * merge_files_and_purge (file_records * filea, file_records *fileb) ;
void calculate_surface (file_records *file , double probe) ;
void call_with_neibours(atom_record *atom,void (*function)() , int what );
void always_call_with_neibours(atom_record *atom,void (*function)() , int what );
void  setup_neibouring_cube (file_records *file, double edge);
void put_atom_in_cube(atom_record *atom, double edges[3]);
void setup_file_records (file_records *file, double probe,int newstuff);
void setup_atom_definition (atom_definition * ad,double *probe);
atom_record *find_atom (file_records *file, atom_record *atom) ;
void read_residue_spec(char *string, int *number, int *chain, int * x_char);

residue_record *find_atom_residue(file_records *file,atom_record *atom) ;

int is_cb(atom_record *a) ;
int is_ca(atom_record *a) ;
int is_c(atom_record *a) ;
int is_n(atom_record *a) ;
int is_o(atom_record *a) ;
int isCAorP(atom_record *a) ;

FILE *open_for_repeat_read (char *name);
file_records *repeat_read_pdb (FILE *ff, file_records *file,int format) ;


FILE * stream_from_string(char *string) ;
int  command_line_option( char *cc);
char * command_line_arg( char *cc);
void select_atoms_for_calculation (file_records *file, char *what);

file_records * generate_shell(file_records *file, double probe) ;

char *new_string (char *string) ;
residue_record * next_residue(residue_record *res);
space_group *  find_space_group (int number,char * name) ;
double double_from_option(char * string, double the_default) ;    

file_records *open_pdb_stdin (int format);
void LinkUp_Residues_Atoms(file_records * f);

void do_initialization (int argc, char **argv);

void calculate_volumes (file_records *file,file_records *shell, double probe);

void new_read_standard_volumes(char * filename)
;
void ignore_water_atoms(file_records *file)
;
void print_an_atom(atom_record * atom, FILE *ff)
;





