#include "../src-lib/pdb.h"

main(int argc,char **argv)
{
  SAY_HI_FIRST ;
  CITATION ;
  char * types_file = STRG_AFTER_OPT_W_ENV("types_file","atom-defs.dat") ;
  char * res_file = STRG_AFTER_OPT_W_ENV("res_file","resi-defs.dat") ;
  fprintf(stderr,"Expecting atoms definitions to be in %s\n",types_file);
  fprintf(stderr,"Expecting residue definitions to be in %s\n",res_file);
  initial_residues(types_file,res_file,0);

  WriteAtomTypes();

  {
    file_records *f = open_and_read_pdb(STRG_AFTER_OPT_W_ENV("i","in.pdb"),0);
    int ii;
    for (ii=0; ii<f->atomnum; ii++) {
      atom_record * a = f->atoms[ii];
      printf("%5s %5s | %5s | %4d %5s\n",
	     a->resname,a->name,a->definition->name, 
	     a->definition->type_index, 
	     atom_type_name(a->definition->type_index));
    }
  }
}






