# include "util.h"
# include "pdb.h"

/*   ============                                                  */
void DeselectFile(file_records * f)
/*   ============                                                  */
{
  int ii;
  for (ii=0; ii<f->atomnum; ii++) {
    atom_record * ap = f->atoms[ii];
    SWITCH_ON(ap,IGNORE_ATOM);
    SWITCH_ON(ap,DONT_CALCULATE_ATOM);
  }
}

int ComputeOffsetInAtomRecord
(atom_record * ap, double * dp)
{
  char * cp  = (char *) ap;
  char * cdp = (char *) dp ;
  return (cdp - cp) ;
}

/*     ====================                                             */
double StatsOnResidueDouble
/*     ====================                                             */
(residue_record * r, int offset, Statistic * S)
{
  int ii;
  InitStats(S);
  for (ii = r->start ; ii < r->end ; ii++) {
    atom_record * ap = r->file->atoms[ii];
    char * cp  = (char *) ap;
    char * cp2 = cp + offset ;
    double * dp = (double *) cp2 ;
    IncrementStats(S,*dp);
  }
  return S->sum;
}

