/**
***  ---> PDB Stuff <---
**/

#   define MXPDB 10000
#   define PDBFMT \
       "ATOM  %5d %4s %-4s%1c%4d    %8.3f%8.3f%8.3f%6.2f%6.2f      %4s\n"
#   define DIAFMT  \
       "%10.5f%10.5f%10.5f%10.5f%5d%5d%5d%9.2f %-4s%4s   %-4s\n"
#   define ISCA(s)  (STREQ(s," CA "))

typedef struct {
  int 
    natom,
    iser[MXPDB],
    iresn[MXPDB];
  char 
    atnam[MXPDB][5],
    resnam[MXPDB][5],
    segid[MXPDB][5],
    chnnam[MXPDB];
  double
    occ[MXPDB],
    b[MXPDB];
} PDB_data;
  
